@font-face {
  font-family: Bungee;
  src: url('/g/res/Bungee/Bungee-Regular.ttf');
  font-display: swap;
}
@font-face {
  font-family: Russo One;
  src: url('/g/res/RussoOne/RussoOne-Regular.ttf');
  font-display: swap;
}
@font-face {
  font-family: 'subtle-icons';
  src: url('/g/res/icons.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
body:after {
  position: absolute;
  width: 0;
  height: 0;
  overflow: hidden;
  z-index: -1;
  content: url(/g/res/logo-small-hover.webp) url(/g/res/logo-small-hover-rotate.webp);
}
body {
  margin: 0 auto;
  padding: 0;
  background-color: #021c1d;
  color: #6bd2ab;
  font-family: 'Bungee', cursive;
  overflow-x: hidden;
}
body div.content_block {
  min-height: calc(100vh - 311px);
}
h1 {
  text-align: center;
  font-size: 42px;
}
#loading_overlay {
  display: flex;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  align-items: center;
  justify-content: center;
  background-color: #021c1d;
  z-index: 99990;
}
@keyframes rotate360 {
  to {
    transform: rotate(360deg);
  }
}
#loading_overlay img.loading {
  animation: 30s rotate360 infinite linear;
}
.hidden {
  display: none;
}
#loading_overlay img {
  position: absolute;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  width: 192px;
  /* Need a specific value to work */
  max-width: 51%;
  z-index: 99999;
}
#loading_overlay img.loading {
  width: 378px;
  max-width: 100%;
  z-index: 1;
}
a {
  text-decoration: none;
  color: #6bd2ab;
  transition: 0.7s;
}
a:hover {
  color: #a1ffdb;
}
header {
  height: 60px;
  box-shadow: 0px 4px 30px 21px #00000059;
  margin-bottom: 60px;
}
header div.header_wrapper {
  width: 100%;
  max-width: 1200px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto;
}
header div.header_wrapper button {
  display: none;
}
header div.header_wrapper div.header-links {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  width: 966px;
}
header div.header_wrapper a {
  height: 40px;
  line-height: 40px;
  width: fit-content;
  padding: 0 20px;
  margin: 0 20px;
  text-decoration: none;
  color: #6bd2ab;
  font-size: 16px;
  font-family: 'Bungee', cursive;
  text-align: center;
  text-shadow: 0 0 10px #000000;
  user-select: none;
  transition: 0.7s;
}
header div.header_wrapper a.icon-font {
  font-size: 30px;
  padding: 0;
  margin: 0 10px;
}
header div.header_wrapper a.selected {
  cursor: default;
}
header div.header_wrapper a:hover,
header div.header_wrapper a.selected {
  color: #a1ffdb;
  text-shadow: 0 0 5px #63dbad8a;
}
header div.header_wrapper a:hover:not(.home-link),
header div.header_wrapper a.selected:not(.home-link) {
  transform: scale(1.1);
}
header div.header_wrapper a.home-link {
  position: relative;
  height: 100px;
  width: 100px;
}
header div.header_wrapper a.home-link div.over {
  margin: 0;
  line-height: unset;
  position: absolute;
  z-index: 9999;
}
header div.header_wrapper a.home-link div.over img {
  position: absolute;
  width: 100px;
  height: 100px;
  transition: 0.7s;
}
header div.header_wrapper a.home-link div.over img.normal {
  opacity: 0.9;
}
header div.header_wrapper a.home-link div.over img.hover {
  opacity: 0;
}
header div.header_wrapper a.home-link div.under {
  margin: 0;
  line-height: unset;
  position: absolute;
  z-index: 9998;
}
header div.header_wrapper a.home-link div.under img {
  position: absolute;
  width: 100px;
  height: 100px;
  transition: 0.7s;
  animation: 30s rotate360 infinite linear;
}
header div.header_wrapper a.home-link div.under img.normal {
  opacity: 1;
}
header div.header_wrapper a.home-link div.under img.hover {
  opacity: 0;
}
header div.header_wrapper a.home-link:hover,
header div.header_wrapper a.home-link.selected {
  transform: scale(1.1);
}
header div.header_wrapper a.home-link:hover div.under img.normal,
header div.header_wrapper a.home-link.selected div.under img.normal {
  opacity: 0;
}
header div.header_wrapper a.home-link:hover div.under img.hover,
header div.header_wrapper a.home-link.selected div.under img.hover {
  opacity: 1;
}
header div.header_wrapper a.home-link:hover div.over img.normal,
header div.header_wrapper a.home-link.selected div.over img.normal {
  opacity: 0;
}
header div.header_wrapper a.home-link:hover div.over img.hover,
header div.header_wrapper a.home-link.selected div.over img.hover {
  opacity: 1;
}
header div.header_wrapper div.lang_menu {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  flex-direction: column;
  padding: 0 60px;
}
header div.header_wrapper div.lang_menu a {
  padding: 0;
  width: unset;
  height: unset;
  line-height: 40px;
  font-size: 12px;
  text-transform: uppercase;
}
header div.header_wrapper div.lang_menu a:first-child {
  background: unset;
}
header div.header_wrapper div.lang_menu a:first-child:before {
  display: none;
}
@keyframes scroll_split {
  from {
    transform: translateX(0px);
  }
  to {
    transform: translateX(-41px);
  }
}
@keyframes scroll_split_right {
  from {
    transform: translateX(-41px);
  }
  to {
    transform: translateX(0px);
  }
}
div.animated-split-wrap {
  overflow-x: hidden;
}
div.animated-split-wrap div.animated-split {
  background-image: url(/g/res/split-image.png);
  height: 20px;
  background-repeat-x: repeat;
  background-repeat-y: no-repeat;
  background-size: contain;
  width: 200vw;
  animation: 3s scroll_split infinite linear;
}
div.animated-split-wrap div.animated-split-right {
  background-image: url(/g/res/split-image-right.png);
  height: 20px;
  background-repeat-x: repeat;
  background-repeat-y: no-repeat;
  background-size: contain;
  width: 200vw;
  animation: 3s scroll_split_right infinite linear;
}
footer div.animated-split-wrap {
  margin-top: 120px;
}
footer p {
  color: #6bd2ab;
  font-family: 'Bungee', cursive;
  text-align: center;
  text-shadow: 0 0 10px #000000;
}
input[type=text],
input[type=password],
textarea {
  font-family: Arial, sans-serif;
  background-color: #010c0c;
  color: #6bd2ab;
  border: 1px solid #0000;
  margin: 5px;
  padding: 10px 20px;
  font-size: 16px;
  transition: 0.7s;
  outline: 1px solid #0000;
}
input[type=text]:hover,
input[type=password]:hover,
textarea:hover {
  border: 1px solid #143029;
  transform: scale(1.01);
}
input[type=text]:focus,
input[type=password]:focus,
textarea:focus {
  outline: 1px solid #6bd2ab85;
  transform: scale(1.02);
}
input[type=text] {
  height: 22px;
}
button,
input[type=submit],
a.button {
  font-family: 'Bungee', cursive;
  background-color: #010c0c;
  color: #6bd2ab;
  border: 1px solid #143029;
  margin: 5px;
  padding: 10px 20px;
  font-size: 22px;
  cursor: pointer;
  transition: 0.7s;
  display: inline-block;
  font-size: 18px;
}
button:hover,
input[type=submit]:hover,
a.button:hover {
  color: #a1ffdb;
  border: 1px solid #6bd2ab85;
  transform: scale(1.05);
}
.icon-font {
  font-family: 'subtle-icons' !important;
}
@media only screen and (max-width: 1200px) {
  header div.header_wrapper a {
    font-size: 14px;
    margin: 0 10px;
    padding: 0 15px;
  }
  header div.header_wrapper div.lang_menu {
    padding: 0 30px;
  }
}
@media only screen and (max-width: 900px) {
  header div.header_wrapper a {
    font-size: 12px;
    margin: 0 8px;
    padding: 0 8px;
  }
  header div.header_wrapper div.lang_menu {
    padding: 0 15px;
  }
}
@media only screen and (max-width: 700px) {
  header {
    transition: 0.7s;
  }
  header div.header_wrapper {
    flex-wrap: wrap;
    justify-content: start;
    position: relative;
  }
  header div.header_wrapper a {
    font-size: 12px;
    margin: 0 8px;
    padding: 0 8px;
    width: 100%;
  }
  header div.header_wrapper a.home-link {
    margin-top: -20px;
  }
  header div.header_wrapper a.icon-font {
    width: fit-content;
  }
  header div.header_wrapper div.header-links {
    height: 0px;
    width: 100%;
    transition: 0.7s;
    transform: scaleY(0);
    justify-content: end;
    overflow: hidden;
    height: 0;
  }
  header div.header_wrapper div.lang_menu {
    padding: 0 15px;
    transition: 0.7s;
    margin: 0;
    height: 0;
    transform: scaleY(0);
    position: absolute;
    top: 60px;
  }
  header div.header_wrapper button {
    display: unset;
    position: absolute;
    z-index: 9999;
    top: 5px;
    right: 10px;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 2px solid #6bd2ab;
    color: #6bd2ab;
    border-radius: 10px;
    font-size: 24px;
    font-weight: bold;
    padding: 0;
  }
  header.display {
    height: 320px;
  }
  header.display div.header_wrapper div.header-links {
    height: 200px;
    transform: scaleY(1);
  }
  header.display div.header_wrapper div.lang_menu {
    height: 40px;
    transform: scaleY(1);
    top: 268px;
  }
}
